#include <iostream>
using namespace std;

//Всички отговори са „N“ или „P“
int main() {
    int M, S, K, N;
    cin >> M >> S >> K >> N;

    // четем входа, но не го използваме
    for (int i = 0; i < N; i++) {
        int W;
        char Z;
        cin >> W >> Z;
    }

    // кутията никога не се мести
    cout << K << endl;

    return 0;
}
